I
ConstantValue
WIFI_ONLY_DOWNLOAD
Ljava/lang/String;
J
Synthetic
<init>
Code
LineNumberTable
LocalVariableTable
WebServicesAsyncTransferStatusListener
InnerClasses
onProgress
URIHandlerState
HandlerState
Ljava/util/List;
Ljava/lang/Throwable;
ConnInterfaceType
Ljava/util/ListIterator;
e
Ljava/lang/NumberFormatException;
Ljava/util/Map;
Z
i
Ljava/util/Iterator;
success
Ljava/lang/Exception;
Ljava/io/File;
SourceFile
unknown
java/lang/String
recoverable
unrecoverable
java/util/LinkedList
java/lang/Integer
java/lang/Throwable
exception during transfer progress
TotalLength required for download
nped_version
java/lang/NumberFormatException
unable to parse the version number from version header; assuming 0
content-type
content-disposition
unable to parse filename extension
hint-sidecar-download
1
true
hint-ssi-available
hint-phl-available
java/util/HashMap
java/util/ArrayList
can't processTransferCompleted without prior successful retrieveDownloadResults
FWUO
FWUP
java/io/File
java/lang/StringBuffer
An error occurred while trying to rename 
patch_rev
failed
OTA download failed

delete
delete old verison
java/lang/Exception
Unable to delete old version
Plugin threw exception
Performing legacy download handling
fileDownloaded
java/lang/Object
()V
()Ljava/lang/String;
()I
java/lang/System
currentTimeMillis
()J
toString
(I)Ljava/lang/String;
()Z
java/lang/Boolean
(Z)Ljava/lang/String;
(ZLjava/lang/String;Ljava/lang/String;JJJJ)V
equals
(Ljava/lang/Object;)Z
(I)V
(I)Z
()Ljava/util/List;
java/util/List
add
modify
listIterator
()Ljava/util/ListIterator;
java/util/ListIterator
hasNext
next
()Ljava/lang/Object;
(Ljava/lang/String;Ljava/lang/String;)Z
(Ljava/lang/String;)V
()Ljava/util/Map;
java/util/Map
get
(Ljava/lang/Object;)Ljava/lang/Object;
parseInt
(Ljava/lang/String;)I
(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
equalsIgnoreCase
(Ljava/lang/String;)Z
keySet
()Ljava/util/Set;
java/util/Set
iterator
()Ljava/util/Iterator;
java/util/Iterator
put
(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
getVersionInfo
(Ljava/lang/String;)Ljava/lang/String;
renameTo
(Ljava/io/File;)Z
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
valueOf
(J)Ljava/lang/String;
(Ljava/util/Map;)V
toURI
()Ljava/net/URI;
(Ljava/net/URI;)V
com/amazon/ebook/framework/impl/Framework
(Ljava/lang/String;Ljava/util/List;)V
a
Lcom/amazon/ebook/framework/impl/ws/f;
A
b
B
Lcom/amazon/ebook/framework/device/comm/ws/b;
c
Lcom/amazon/ebook/framework/device/comm/ws/h;
C
d
D
E
f
F
(Lcom/amazon/ebook/framework/impl/ws/b/c;)Lcom/amazon/ebook/framework/kos/content/j;
Lcom/amazon/ebook/framework/impl/ws/a;
Lcom/amazon/ebook/framework/impl/ws/b/c;
Lcom/amazon/ebook/framework/kos/content/d;
Lcom/amazon/ebook/framework/kos/content/j;
Lcom/amazon/ebook/framework/kos/content/k;
Lcom/amazon/ebook/framework/impl/device/mario/d;
Lcom/amazon/ebook/framework/kos/content/b;
(Lcom/amazon/ebook/pl/service/d;)Lcom/amazon/ebook/framework/impl/ws/b/c;
Lcom/amazon/ebook/pl/service/d;
(Lcom/amazon/ebook/pl/service/d;)V
Lcom/amazon/ebook/pl/service/gb;
Lcom/amazon/ebook/pl/service/e;
Lcom/amazon/ebook/framework/device/comm/ws/g;
(Lcom/amazon/ebook/framework/impl/ws/f;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lcom/amazon/ebook/framework/device/comm/ws/b;)V
com/amazon/ebook/framework/impl/ws/a
zxb
com/amazon/ebook/pl/service/event/d
()Lcom/amazon/ebook/framework/kos/content/j;
(Ljava/net/URI;Ljava/util/Map;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;I)Lcom/amazon/ebook/framework/kos/content/k;
(Lcom/amazon/ebook/framework/kos/content/j;)V
(Ljava/lang/String;)Lcom/amazon/ebook/framework/kos/content/b;
()Lcom/amazon/ebook/framework/service/e;
()Lcom/amazon/ebook/util/b/i;
(Lcom/amazon/ebook/framework/impl/ws/f;Lcom/amazon/ebook/framework/kos/content/d;)V
()Lcom/amazon/ebook/framework/service/c;
()Lcom/amazon/ebook/framework/service/b;
K
()Lcom/amazon/ebook/framework/kos/content/d;
(Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Ljava/lang/String;ILcom/amazon/ebook/framework/kos/content/d;IIZZZ)V
(Ljava/lang/String;Ljava/lang/String;)Lcom/amazon/ebook/framework/kos/content/d;
(Lcom/amazon/ebook/framework/device/comm/ws/h;)V
(Lcom/amazon/ebook/framework/impl/ws/f;)Ljava/util/List;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
Q
Lcom/amazon/ebook/util/b/i;
(Lcom/amazon/ebook/pl/service/d;ILjava/util/List;I)Lcom/amazon/ebook/pl/service/d;
()Lcom/amazon/ebook/pl/service/e;
()Lcom/amazon/ebook/framework/device/comm/e;
(Lcom/amazon/ebook/pl/service/d;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;ILcom/amazon/ebook/framework/device/comm/ws/b;)Lcom/amazon/ebook/framework/device/comm/ws/h;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;)V
H
(Lcom/amazon/ebook/framework/impl/ws/f;)Lcom/amazon/ebook/framework/impl/ws/w;
g
G
()Lcom/amazon/ebook/util/b/e;
()Lcom/amazon/ebook/pl/service/gb;
()Lcom/amazon/ebook/pl/service/t;
()Lcom/amazon/ebook/pl/a;
(Lcom/amazon/ebook/framework/impl/ws/f;)Lcom/amazon/ebook/framework/impl/booklet/a;
com/amazon/ebook/framework/kos/content/b
com/amazon/ebook/framework/service/e
com/amazon/ebook/util/f/b
com/amazon/ebook/framework/service/b
com/amazon/ebook/framework/kos/content/d
com/amazon/ebook/framework/kos/content/catalog/l
com/amazon/ebook/framework/device/comm/ws/b
com/amazon/ebook/pl/service/e
com/amazon/ebook/framework/device/comm/e
com/amazon/ebook/framework/impl/ws/w
com/amazon/ebook/util/b/e
com/amazon/ebook/pl/service/d
com/amazon/ebook/pl/service/t
com/amazon/ebook/pl/a
com/amazon/ebook/framework/impl/booklet/a
com/amazon/ebook/framework/impl/ws/f
com/amazon/ebook/pl/service/gb
com/amazon/ebook/framework/kos/content/j
com/amazon/ebook/framework/kos/content/k
com/amazon/ebook/framework/impl/device/mario/d
com/amazon/ebook/framework/impl/ws/b/c
com/amazon/ebook/framework/device/comm/ws/g
com/amazon/ebook/framework/device/comm/ws/h
